# Copyright (C) 2006 Kumar McMillan
# 
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.

'''common configuration settings.

'''
import sys
    
class debug:
    """namespace for debug settings."""
    stream = None
_last_debug_stream = debug.stream

def reset_debug(strm=_last_debug_stream):
    """resets debug stream to the last stream -OR- kwarg strm.
    
    when strm is None, this turns off debugging
    
    """
    return set_debug_stream(strm)

def set_debug_stream(strm):
    """tells debug print statements to use strm.
    
    returns last stream.
    
    """
    global _last_debug_stream
    _last_debug_stream = debug.stream
    
    debug.stream = strm
    return _last_debug_stream

def set_debug_stderr():
    """convenience method for set_debug_stream(sys.stderr)."""
    return set_debug_stream(sys.stderr)

def set_debug_stdout():
    """convenience method for set_debug_stream(sys.stdout)."""
    return set_debug_stream(sys.stdout)