
# rename myfixtures to example_fixtures?

from testtools.fixtures import CsvFixture, SOFixture, affix, find_so_from_data
from testtools.testself.model import *

class csvdict(CsvFixture):
    class meta:
        data = (('odd_fields', { 'Foo\'s field': 'value for foo', 'BAR BAR': 'value for bar'}),)

class EmployeeData(SOFixture):
    class meta:
        clean = True
        so_class = Employee
        data = (('cool_employee', {'id':1, 'name':'Bond, James Bond', 'hair_color':'black'}),
                ('nerd_employee', {'id':2, 'name':'Morton', 'hair_color':'brown'}),)

class DepartmentData(SOFixture):
    class meta:
        clean = True
        so_class = Department
    def data(self):
        self.meta.req.emp = EmployeeData()
        return (('nerds_department', {
                    'id': 1,
                    'employee': Employee.get(self.meta.req.emp.nerd_employee.id),
                    'name': 'Nerd Department'
                    }
                ),)

class ShopData(SOFixture):
    class meta:
        clean = True
        so_class = Shop
    def data(self):
        fxt = affix(EmployeeData(), DepartmentData())

        return (('pauls_shop', {
                    'id': 1,
                    'department': Department.get(fxt.nerds_department.id),
                    'employee': Employee.get(fxt.nerd_employee.id),
                    'name': 'Paul\'s Shop'
                    }),)