
import unittest
import testtools
from testtools.io import TempIO
from testtools.storage import *
from testtools.testself.util import start_csv

TMP = None

def setup_module(self):
    self.TMP = TempIO()
def teardown_module(self):
    del self.TMP

def test_export():
    assert 'storage' in testtools.__all__
    
def test_csvstor():
    fields = ['day','breakfast']
    csvfile = TMP.mkfile('bambi.csv')
    
    bambi = CsvStor(csvfile, fields, addfields=True)
    bambi.save(day='tuesday', breakfast='weeds')
    bambi.save(day='wednesday', breakfast='flowers')
    bambi.close()
    
    atleast1 = False    
    c = csv.DictReader(open(csvfile, 'r'), fields)
    for row in c:
        if row['day'] == 'day':
            assert row['breakfast'] == 'breakfast'
        elif row['day'] == 'tuesday':
            assert row['breakfast'] == 'weeds'
        elif row['day'] == 'wednesday':
            assert row['breakfast'] == 'flowers'
        else:
            raise AssertionError, 'unexpected: %s' % row
        atleast1 = True
        
    assert atleast1
    